
function doClick(e) {
	
	//intent to create shortcut
	var shortcutIntent = Ti.Android.createIntent({
	  action: "com.android.launcher.action.INSTALL_SHORTCUT",
	});
	
	//intent to open activity
	var newIntent = Ti.Android.createIntent({
		action: Ti.Android.ACTION_VIEW,
		className: 'com.test.shortcut.SampleActivity',
  		packageName: 'com.test.shortcut',
  		flags: Ti.Android.FLAG_ACTIVITY_NEW_TASK
	});
	
	//extra values for shortcut intent
	var iconImage = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, "appicon.png").read();
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_ICON, iconImage);
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_NAME, "Gallery");
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_INTENT, newIntent);
	shortcutIntent.putExtra("duplicate", false);
	
	//broadcast shortcut activity 
	Ti.Android.currentActivity.sendBroadcast(shortcutIntent);
}


$.index.open();

